Ga door naar hoofdinhoud
Help

Origineel bericht door: Josh Calvetti ,

Tekst:

Yep- that should take 10.5 just fine.  Definitely upgrade the memory, though.

Status:

open